Package org.apache.lucene.spatial3d.geom

## Interface GeoBounds

- All Superinterfaces:
    `Bounded`, `Membership`, `PlanetObject`, `SerializableObject`
  All Known Subinterfaces:
    `GeoAreaShape`, `GeoBBox`, `GeoCircle`, `GeoDistanceShape`, `GeoMembershipShape`, `GeoPath`, `GeoPointShape`, `GeoPolygon`, `GeoShape`
  All Known Implementing Classes:
    `GeoBaseBounds`, `GeoBaseCompositeShape`, `GeoBaseDistanceShape`, `GeoBaseMembershipShape`, `GeoBaseShape`, `GeoCompositeAreaShape`, `GeoCompositeMembershipShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`

      public interface GeoBounds
      extends Bounded, Membership, PlanetObject

  Generic shape that supports bounds. This describes methods that help shapes compute their bounds.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

      `getBounds`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

      `getPlanetModel`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `write`